package com.mycompany;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.inject.Inject;
import org.infinispan.Cache;
import org.infinispan.manager.EmbeddedCacheManager;

/**
 *
 * @author gregor
 */
@Stateless
@LocalBean
public class CacheBean {
    @Inject
    private EmbeddedCacheManager defaultCacheManager;
    
    public void addValue(String key, String value) throws Exception {
        Cache<String, String> cache1 = defaultCacheManager.getCache("cache1");
        
        cache1.put(key, value);
    }
    
    public String getValue(String key) throws Exception {
        Cache<String, String> cache1 = defaultCacheManager.getCache("cache1");
        
        return cache1.get(key);
    }
}
