package com.mycompany;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.Singleton;
import javax.ejb.Startup;

/**
 *
 * @author gregor
 */
@Startup
@Singleton
public class StartupBean {
    @EJB
    private CacheBean cacheBean;
    
    @PostConstruct
    public void start() {
        try {
            cacheBean.addValue("KEY_1", "VALUE_1");
            System.out.println(cacheBean.getValue("KEY_1"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
